import axios from "../../utils/request";

// 获取列表
export function systemParamConfigList(query) {
    return axios({
        url: "/system/param/config/list",
        method: "get",
        params: query
    });
}

// 保存
export function systemParamConfigSave(data, formName, method = "post") {
    let url =
        formName === "add" ? "/system/param/config/save" : "/system/param/config/update";
    return axios({
        url: url,
        method: method,
        data: data
    });
}

//获取配置
export function selectSysParamByKey(query) {
    return axios({
        url: "/udiwms/sys/config/selectByKey",
        method: "get",
        params: query
    });
}

export function selectIp(query) {
    return axios({
        url: "/udiwms/basic/thirdsys/selectIp",
        method: "get",
        params: query
    });
}

//获取产品信息设置
export function finProductSet(query) {
    return axios({
        url: "/udiwms/sys/config/selectByBasic",
        method: "get",
        params: query
    });
}

